package workerthreads.fitnessescriptcorrector;

import java.util.ArrayList;

public class TokenList extends ArrayList<Token> {
	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		for (Token t : this) {
			sb.append(t.getText());
		}
		return sb.toString();
	}

	public String traceOutput() {
		StringBuilder sb = new StringBuilder();
		for (Token t : this) {
			sb.append(t.toString());
		}
		return sb.toString();

	}

}
